%define modname inclued
%define soname %{modname}.so
%define inifile A76_%{modname}.ini

Summary:	Clued-in about your inclueds extension for php
Name:		php-%{modname}
Version:	0.1.3
Release:	%mkrel 10
Group:		Development/PHP
License:	PHP License
URL:		http://pecl.php.net/package/inclued/
Source0:	http://pecl.php.net/get/%{modname}-%{version}.tgz
Patch0:		inclued-0.1.3-php5.5.patch
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	php-devel >= 3:5.2.0
BuildRequires:	file


%description
Allows you trace through and dump the hierarchy of file inclusions and
class inheritance at runtime.

%prep
%setup -q -n %{modname}-%{version}
%patch0 -p3
[ "../package*.xml" != "/" ] && mv ../package*.xml .

# fix permissions
find . -type f | xargs chmod 644

# strip away annoying ^M
find . -type f|xargs file|grep 'CRLF'|cut -d: -f1|xargs perl -p -i -e 's/\r//'
find . -type f|xargs file|grep 'text'|cut -d: -f1|xargs perl -p -i -e 's/\r//'

%build
%serverbuild

phpize
%configure2_5x --with-libdir=%{_lib} \
    --with-%{modname}=shared,%{_prefix}

%make

%install
install -d %{buildroot}%{_sysconfdir}/php.d
install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}/var/log/httpd

install -m0755 modules/%{soname} %{buildroot}%{_libdir}/php/extensions/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{soname}

[%{modname}]
inclued.dumpdir	= /tmp
inclued.enabled	= On
EOF

%files 
%doc package*.xml INSTALL gengraph.php
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Fri Feb 12 2016 umeabot <umeabot> 0.1.3-10.mga6
+ Revision: 958372
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.3-9.mga5
+ Revision: 745507
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.3-8.mga5
+ Revision: 687146
- Mageia 5 Mass Rebuild

* Fri Apr 18 2014 oden <oden> 0.1.3-7.mga5
+ Revision: 616568
- rebuilt for php-5.6.0beta1

* Fri Jan 24 2014 pterjan <pterjan> 0.1.3-6.mga4
+ Revision: 567620
- Rebuild for new PHP

* Sun Nov 03 2013 fwang <fwang> 0.1.3-5.mga4
+ Revision: 549268
- more patch
- fix build with php5.5

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + oden <oden>
    - rebuilt for php-5.5.0RC3

* Wed Jan 30 2013 oden <oden> 0.1.3-3.mga3
+ Revision: 393298
- rebuilt for php-5.4.11

* Sun Jan 13 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 375810
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jul 29 2012 spuhler <spuhler> 0.1.3-1.mga3
+ Revision: 275591
- upgrade to 0.1.3

* Mon Mar 19 2012 luigiwalser <luigiwalser> 0.1.2-5.mga2
+ Revision: 223906
- httpd restart is handled by filetriggers now

* Wed Dec 21 2011 spuhler <spuhler> 0.1.2-4.mga2
+ Revision: 185315
- rebuild against php-5.3.9

* Sat Jan 29 2011 spuhler <spuhler> 0.1.2-3.mga1
+ Revision: 44301
- imported package php-inclued


* Sat Jan 08 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-3mdv2011.0
+ Revision: 629815
- rebuilt for php-5.3.5

* Mon Jan 03 2011 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-2mdv2011.0
+ Revision: 628136
- ensure it's built without automake1.7

* Wed Dec 01 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.2-1mdv2011.0
+ Revision: 604429
- 0.1.2

* Wed Nov 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-4mdv2011.0
+ Revision: 600500
- rebuild

* Sun Oct 24 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-3mdv2011.0
+ Revision: 588838
- rebuild

* Fri Mar 05 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2010.1
+ Revision: 514563
- rebuilt for php-5.3.2

* Tue Feb 23 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-1mdv2010.1
+ Revision: 510103
- 0.1.1

* Sat Jan 02 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-11mdv2010.1
+ Revision: 485397
- rebuilt for php-5.3.2RC1

* Sat Nov 21 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-10mdv2010.1
+ Revision: 468179
- rebuilt against php-5.3.1

* Wed Sep 30 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-9mdv2010.0
+ Revision: 451283
- rebuild

* Sun Jul 19 2009 Raphaël Gertz <rapsys@mandriva.org> 0.1.0-8mdv2010.0
+ Revision: 397541
- Rebuild

* Mon May 18 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-7mdv2010.0
+ Revision: 377001
- rebuilt for php-5.3.0RC2

* Sun Mar 01 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-6mdv2009.1
+ Revision: 346507
- rebuilt for php-5.2.9

* Tue Feb 17 2009 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-5mdv2009.1
+ Revision: 341769
- rebuilt against php-5.2.9RC2

* Wed Dec 31 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-4mdv2009.1
+ Revision: 321808
- rebuild

* Fri Dec 05 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-3mdv2009.1
+ Revision: 310279
- rebuilt against php-5.2.7

* Fri Jul 18 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-2mdv2009.0
+ Revision: 238406
- rebuild

* Fri Feb 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.1
+ Revision: 176843
- import php-inclued


* Fri Feb 29 2008 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-1mdv2008.1
- initial Mandriva package
